Bug 47153 - java/java-tutorial - checksum mismatch (new file as of nov. 2002)
Summary: java/java-tutorial - checksum mismatch (new file as of nov. 2002)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-17 01:00 UTC by parv
Modified: 2003-06-11 11:05 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2003-01-17 01:00:11 UTC
java/java-tutorial needs to have updated checksum as
"tutorial.tar.gz" has been changed as of 2002-11.  new md5 checksum
is (seems to be)...

  f0041e5f2372012a419b20ef7524d47c

Fix: 

verify & update the md5 checksum.
How-To-Repeat: 
try "make checksum"
Comment 1 parv 2003-01-17 01:23:02 UTC
in message <20030117005434.8C70CAE4E@moo.holy.cow>,
wrote parv thusly...
>
> java/java-tutorial needs to have updated checksum as
> "tutorial.tar.gz" has been changed as of 2002-11.  new md5 checksum
> is (seems to be)...
> 
>   f0041e5f2372012a419b20ef7524d47c

then again some files seem to be missing from the archive as
suggested by the following message during package building after
installing w/o checksum verification... :(

  ===>   Generating temporary packing list
  ===>   Registering installation for jdk-tutorial-2002.03.04
  ===>  Building package for jdk-tutorial-2002.03.04
  tar: share/doc/java-tutorial//servlets/call-servlets/browser.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/call-servlets/html-page.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/call-servlets/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-interaction/http-methods.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-interaction/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-interaction/req-res.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-interaction/servlet-info.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-interaction/threads.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-state/cookies.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-state/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/client-state/session-tracking.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/communication/attributes.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/communication/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/communication/request-dispatcher.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/end.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/BookDetailServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/BookStoreServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/CashierServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/CatalogServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/ReceiptServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/ShowCartServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/cart/Cashier.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/cart/ShoppingCart.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/cart/ShoppingCartItem.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/database/BookDBServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/database/BookDetails.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/database/BookstoreDB.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot0/servlet.properties: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/BookDetailServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/BookStoreServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/CashierServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/CatalogServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/ReceiptServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/ShowCartServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/bookstore.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/cart/Cashier.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/cart/ShoppingCart.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/cart/ShoppingCartItem.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/database/BookDBFrontEnd.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/database/BookDetails.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/database/BookStoreDB.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/jsdk2dot1/servlets.properties: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/BannerServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/BookDetailServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/BookStoreServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/CashierServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/CatalogServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/Currency.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/ReceiptServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/ShowCartServlet.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/bookstore.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/cart/ShoppingCart.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/cart/ShoppingCartItem.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/database/BookDB.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/database/BookDetails.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/example-1dot2/tomcat/web.xml: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/lifecycle/destroy.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/lifecycle/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/lifecycle/init.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/lifecycle/service-threads.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/overview/architecture.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/overview/example.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/overview/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/overview/simple.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/servletrunner/index.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/servletrunner/properties.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/servletrunner/server-start.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/servletrunner/tomcat-start.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//servlets/servletrunner/webappdd.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/components/example-1dot3/TableDemo.java: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/components/intermediate.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/components/widgets.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/converting/example-swing/images/left.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/converting/example-swing/images/middle.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/converting/example-swing/images/right.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/layout/example-swing/images/geek-cght.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/layout/example-swing/images/middle.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/convert.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image0.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image1.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image2.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image3.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image4.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image5.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image6.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image7.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/image8.jpg: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/mini/example-1dot3/images/lunar-img.zip: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T1.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T10.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T2.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T3.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T4.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T5.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T6.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T7.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T8.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/T9.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/rocketship.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/painting/example-swing/images/starfield.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/start/example-swing/SwingApplet.html: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/start/example-swing/images/left.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/start/example-swing/images/middle.gif: Cannot stat: No such file or directory
  tar: share/doc/java-tutorial//uiswing/start/example-swing/images/right.gif: Cannot stat: No such file or directory
  tar: Error exit delayed from previous errors
  pkg_create: make_dist: tar command failed with code 512
  Creating package /usr3/ports/java/java-tutorial/jdk-tutorial-2002.03.04.tgz
  Registering depends:.
  Creating gzip'd tar ball in '/usr3/ports/java/java-tutorial/jdk-tutorial-2002.03.04.tgz'
  *** Error code 1



--
Comment 2 Ying-Chieh Liao freebsd_committer 2003-01-17 06:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

over to maintainer
Comment 3 Peter Jeremy 2003-02-21 21:45:59 UTC
The checksum appears to have changed again.  A freshly downloaded
MD5 (/usr/ports/distfiles/tutorial.tar.gz) = 286e214edcae56530fc9a0d626e1fbb6

On the positive side, "make install" doesn't report any errors.
Comment 4 parv 2003-02-21 22:19:54 UTC
in message <200302212145.h1LLjxMP072737@cirb503493.alcatel.com.au>,
wrote peterjeremy@optushome.com.au thusly...
>
> The checksum appears to have changed again.  A freshly downloaded
> MD5 (/usr/ports/distfiles/tutorial.tar.gz) = 286e214edcae56530fc9a0d626e1fbb6
> 
> On the positive side, "make install" doesn't report any errors.

Does "make deinstall reinstall" produce any errors?  (In my case,
"make install" was fine too but not the "make deinstall reinstall".)


  - parv

--
Comment 5 Peter Jeremy 2003-02-22 03:09:48 UTC
On Fri, Feb 21, 2003 at 05:19:54PM -0500, parv wrote:
>in message <200302212145.h1LLjxMP072737@cirb503493.alcatel.com.au>,
>wrote peterjeremy@optushome.com.au thusly...
>>
>> The checksum appears to have changed again.  A freshly downloaded
>> MD5 (/usr/ports/distfiles/tutorial.tar.gz) = 286e214edcae56530fc9a0d626e1fbb6
>> 
>> On the positive side, "make install" doesn't report any errors.
>
>Does "make deinstall reinstall" produce any errors?  (In my case,
>"make install" was fine too but not the "make deinstall reinstall".)

"make deinstall" still results in a stream of errors - though they're
different to the errors that you got.  As well as "file doesn't exist"
errors (meaning something has been removed), I get a fair number of
"unable to completely remove directory" - so Sun have added new
tutorials as well as removing old ones.

In any case, the port needs updating.

Peter
Comment 6 Ernst de Haan freebsd_committer 2003-06-11 11:05:08 UTC
State Changed
From-To: open->closed

Committed, thanks! And my apologies for the delay.